# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
apiVersion: constraints.gatekeeper.sh/v1alpha1
kind: GCPSQLAllowedAuthorizedNetworksConstraintV1
metadata:
  name: cloudsql_instance_networkacl_no_public_access
  annotations:
    category: Infrastructure Hardening
    description: Public access to CloudSQL Instances is forbidden.
    assetType: sqladmin.googleapis.com/Instance
spec:
  severity: major
  match:
    target: [organization/]
    exclude:
  parameters:
    mode: denylist
    networks:
      - "0.0.0.0/0" # Public

